## primecountpy 0.1.0

=== docs/requirements.txt ===
sphinx
sphinx_rtd_theme
readthedocs-sphinx-search
myst-parser
primecountpy

=== debian/changelog ===
primecountpy (0.1.0-3build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:22:02 +0000

primecountpy (0.1.0-3build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:56:23 +0000

primecountpy (0.1.0-3build2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 04:38:33 +0100

primecountpy (0.1.0-3build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:38:11 +0000

primecountpy (0.1.0-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/no-runtime-cython.patch
    - New patch; remove Cython from install_requires.  It's only a build
      dependency and not a runtime dependency (Closes: #1058000).

 -- Doug Torrance <dtorrance@debian.org>  Tue, 09 Jan 2024 22:40:58 -0500

primecountpy (0.1.0-2) unstable; urgency=medium

  * Move dh-sequence-sphinxdoc from Build-Depends-Indep to Build-Depends.

 -- Tobias Hansen <thansen@debian.org>  Thu, 10 Feb 2022 20:01:53 +0000

primecountpy (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #1004708).

 -- Tobias Hansen <thansen@debian.org>  Wed, 02 Feb 2022 19:13:11 +0000

=== debian/control ===
Source: primecountpy
Section: python
Priority: optional
Maintainer: Debian Math Team <team+math@tracker.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>
Build-Depends:
 debhelper (>= 13),
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 cython3,
 libprimecount-dev,
 python3-all-dev,
 python3-setuptools,
 python3-cysignals-bare | python3-cysignals
Build-Depends-Indep:
 python3-myst-parser,
 python3-sphinx,
Standards-Version: 4.6.0
Homepage: https://github.com/dimpase/primecountpy
Vcs-Git: https://salsa.debian.org/math-team/primecountpy.git
Vcs-Browser: https://salsa.debian.org/math-team/primecountpy

Package: python3-primecountpy
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python3-primecountpy-doc
Description: Python interface to primecount -- Python 3
 This is a Cython interface to the C++ library primecount.
 .
 This package installs the library for Python 3.

Package: python3-primecountpy-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python interface to primecount -- documentation
 This is a Cython interface to the C++ library primecount.
 .
 This is the documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = primecountpy

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	$(MAKE) -C docs html

execute_after_dh_auto_clean:
	rm -rf docs/build primecountpy.egg-info	primecountpy/primecount.cpp

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/dimpase/primecountpy/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## primecountpy 0.1.1

=== debian/changelog ===
primecountpy (0.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes built with cython 3.1 (Closes: #1119762).
  * debian/patches/no-runtime-cython.patch
    - Remove patch; applied upstream.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 01 Dec 2025 21:50:49 -0500
